ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/IO-AIO/configure
(Generate patch)

Comparing IO-AIO/configure (file contents):
Revision 1.1 by root, Sun May 11 00:01:03 2008 UTC vs.
Revision 1.5 by root, Fri May 30 04:54:13 2008 UTC

2551ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 2551ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2552ac_compiler_gnu=$ac_cv_c_compiler_gnu 2552ac_compiler_gnu=$ac_cv_c_compiler_gnu
2553 2553
2554 2554
2555 2555
2556{ echo "$as_me:$LINENO: checking for library containing pthread_create" >&5
2557echo $ECHO_N "checking for library containing pthread_create... $ECHO_C" >&6; }
2558if test "${ac_cv_search_pthread_create+set}" = set; then
2559 echo $ECHO_N "(cached) $ECHO_C" >&6
2560else
2561 ac_func_search_save_LIBS=$LIBS
2562cat >conftest.$ac_ext <<_ACEOF
2563/* confdefs.h. */
2564_ACEOF
2565cat confdefs.h >>conftest.$ac_ext
2566cat >>conftest.$ac_ext <<_ACEOF
2567/* end confdefs.h. */
2568
2569/* Override any GCC internal prototype to avoid an error.
2570 Use char because int might match the return type of a GCC
2571 builtin and then its argument prototype would still apply. */
2572#ifdef __cplusplus
2573extern "C"
2574#endif
2575char pthread_create ();
2576int
2577main ()
2578{
2579return pthread_create ();
2580 ;
2581 return 0;
2582}
2583_ACEOF
2584for ac_lib in '' pthread pthreads pthreadVC2; do
2585 if test -z "$ac_lib"; then
2586 ac_res="none required"
2587 else
2588 ac_res=-l$ac_lib
2589 LIBS="-l$ac_lib $ac_func_search_save_LIBS"
2590 fi
2591 rm -f conftest.$ac_objext conftest$ac_exeext
2592if { (ac_try="$ac_link"
2593case "(($ac_try" in
2594 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
2595 *) ac_try_echo=$ac_try;;
2596esac
2597eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
2598 (eval "$ac_link") 2>conftest.er1
2599 ac_status=$?
2600 grep -v '^ *+' conftest.er1 >conftest.err
2601 rm -f conftest.er1
2602 cat conftest.err >&5
2603 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2604 (exit $ac_status); } && {
2605 test -z "$ac_c_werror_flag" ||
2606 test ! -s conftest.err
2607 } && test -s conftest$ac_exeext &&
2608 $as_test_x conftest$ac_exeext; then
2609 ac_cv_search_pthread_create=$ac_res
2610else
2611 echo "$as_me: failed program was:" >&5
2612sed 's/^/| /' conftest.$ac_ext >&5
2613
2614
2615fi
2616
2617rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
2618 conftest$ac_exeext
2619 if test "${ac_cv_search_pthread_create+set}" = set; then
2620 break
2621fi
2622done
2623if test "${ac_cv_search_pthread_create+set}" = set; then
2624 :
2625else
2626 ac_cv_search_pthread_create=no
2627fi
2628rm conftest.$ac_ext
2629LIBS=$ac_func_search_save_LIBS
2630fi
2631{ echo "$as_me:$LINENO: result: $ac_cv_search_pthread_create" >&5
2632echo "${ECHO_T}$ac_cv_search_pthread_create" >&6; }
2633ac_res=$ac_cv_search_pthread_create
2634if test "$ac_res" != no; then
2635 test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
2636
2637else
2638 { { echo "$as_me:$LINENO: error: pthread functions not found" >&5
2639echo "$as_me: error: pthread functions not found" >&2;}
2640 { (exit 1); exit 1; }; }
2641
2642fi
2643
2644
2556{ echo "$as_me:$LINENO: checking for futimes" >&5 2645{ echo "$as_me:$LINENO: checking for futimes" >&5
2557echo $ECHO_N "checking for futimes... $ECHO_C" >&6; } 2646echo $ECHO_N "checking for futimes... $ECHO_C" >&6; }
2558if test "${ac_cv_futimes+set}" = set; then 2647if test "${ac_cv_futimes+set}" = set; then
2559 echo $ECHO_N "(cached) $ECHO_C" >&6 2648 echo $ECHO_N "(cached) $ECHO_C" >&6
2560else 2649else
2619 2708
2620#include <fcntl.h> 2709#include <fcntl.h>
2621int main(void) 2710int main(void)
2622{ 2711{
2623 int fd = 0; 2712 int fd = 0;
2624 off64_t offset = 1;
2625 size_t count = 2; 2713 size_t count = 2;
2626 ssize_t res; 2714 ssize_t res;
2627 res = readahead (fd, offset, count); 2715 res = readahead (fd, 0, count);
2628 return 0; 2716 return 0;
2629} 2717}
2630 2718
2631_ACEOF 2719_ACEOF
2632rm -f conftest.$ac_objext conftest$ac_exeext 2720rm -f conftest.$ac_objext conftest$ac_exeext
2772{ echo "$as_me:$LINENO: result: $ac_cv_preadwrite" >&5 2860{ echo "$as_me:$LINENO: result: $ac_cv_preadwrite" >&5
2773echo "${ECHO_T}$ac_cv_preadwrite" >&6; } 2861echo "${ECHO_T}$ac_cv_preadwrite" >&6; }
2774test $ac_cv_preadwrite = yes && 2862test $ac_cv_preadwrite = yes &&
2775cat >>confdefs.h <<\_ACEOF 2863cat >>confdefs.h <<\_ACEOF
2776#define HAVE_PREADWRITE 1 2864#define HAVE_PREADWRITE 1
2777_ACEOF
2778
2779
2780{ echo "$as_me:$LINENO: checking for readdir_r" >&5
2781echo $ECHO_N "checking for readdir_r... $ECHO_C" >&6; }
2782if test "${ac_cv_readdir_r+set}" = set; then
2783 echo $ECHO_N "(cached) $ECHO_C" >&6
2784else
2785 cat >conftest.$ac_ext <<_ACEOF
2786
2787#include <dirent.h>
2788int main(void)
2789{
2790 DIR *dir = 0;
2791 struct dirent ent, *eres;
2792 int res = readdir_r (dir, &ent, &eres);
2793 return 0;
2794}
2795
2796_ACEOF
2797rm -f conftest.$ac_objext conftest$ac_exeext
2798if { (ac_try="$ac_link"
2799case "(($ac_try" in
2800 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
2801 *) ac_try_echo=$ac_try;;
2802esac
2803eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
2804 (eval "$ac_link") 2>conftest.er1
2805 ac_status=$?
2806 grep -v '^ *+' conftest.er1 >conftest.err
2807 rm -f conftest.er1
2808 cat conftest.err >&5
2809 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2810 (exit $ac_status); } && {
2811 test -z "$ac_c_werror_flag" ||
2812 test ! -s conftest.err
2813 } && test -s conftest$ac_exeext &&
2814 $as_test_x conftest$ac_exeext; then
2815 ac_cv_readdir_r=yes
2816else
2817 echo "$as_me: failed program was:" >&5
2818sed 's/^/| /' conftest.$ac_ext >&5
2819
2820 ac_cv_readdir_r=no
2821fi
2822
2823rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
2824 conftest$ac_exeext conftest.$ac_ext
2825fi
2826{ echo "$as_me:$LINENO: result: $ac_cv_readdir_r" >&5
2827echo "${ECHO_T}$ac_cv_readdir_r" >&6; }
2828test $ac_cv_readdir_r = yes &&
2829cat >>confdefs.h <<\_ACEOF
2830#define HAVE_READDIR_R 1
2831_ACEOF 2865_ACEOF
2832 2866
2833 2867
2834{ echo "$as_me:$LINENO: checking for sendfile" >&5 2868{ echo "$as_me:$LINENO: checking for sendfile" >&5
2835echo $ECHO_N "checking for sendfile... $ECHO_C" >&6; } 2869echo $ECHO_N "checking for sendfile... $ECHO_C" >&6; }

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines